<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="lsisoft-2025-12-31.xsd#lsisoft_RevenueFromSaleOfMerchandises" xlink:label="lsisoft_RevenueFromSaleOfMerchandises" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales" xlink:label="ifrs-full_CostOfSales" />
    <loc xlink:type="locator" xlink:href="lsisoft-2025-12-31.xsd#lsisoft_CostsOfGoodsSoldAndServicesRendered" xlink:label="lsisoft_CostsOfGoodsSoldAndServicesRendered" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InflowsOfCashFromInvestingActivities" xlink:label="ifrs-full_InflowsOfCashFromInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:label="ifrs-full_OutflowsOfCashFromInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="lsisoft-2025-12-31.xsd#lsisoft_InflowsOfCashFromFinancingActivities" xlink:label="lsisoft_InflowsOfCashFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="lsisoft-2025-12-31.xsd#lsisoft_OutflowsOfCashFromFinancingActivities" xlink:label="lsisoft_OutflowsOfCashFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="lsisoft-2025-12-31.xsd#lsisoft_PaymentsToAcquireTresuryShares" xlink:label="lsisoft_PaymentsToAcquireTresuryShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_RevenueFromSaleOfMerchandises" xlink:to="label_lsisoft_lsisoftRevenueFromSaleOfMerchandises_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CostOfSales" xlink:to="label_lsisoft_ifrs-fullCostOfSales_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_CostsOfGoodsSoldAndServicesRendered" xlink:to="label_lsisoft_lsisoftCostsOfGoodsSoldAndServicesRendered_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_lsisoft_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_lsisoft_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_lsisoft_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InflowsOfCashFromInvestingActivities" xlink:to="label_lsisoft_ifrs-fullInflowsOfCashFromInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="label_lsisoft_ifrs-fullOutflowsOfCashFromInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_lsisoft_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_InflowsOfCashFromFinancingActivities" xlink:to="label_lsisoft_lsisoftInflowsOfCashFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_InflowsOfCashFromFinancingActivities" xlink:to="label_lsisoft_lsisoftInflowsOfCashFromFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_OutflowsOfCashFromFinancingActivities" xlink:to="label_lsisoft_lsisoftOutflowsOfCashFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_OutflowsOfCashFromFinancingActivities" xlink:to="label_lsisoft_lsisoftOutflowsOfCashFromFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lsisoft_PaymentsToAcquireTresuryShares" xlink:to="label_lsisoft_lsisoftPaymentsToAcquireTresuryShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_lsisoft_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_lsisoft_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_lsisoft_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_lsisoft_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_lsisoft_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_lsisoft_lsisoftRevenueFromSaleOfMerchandises_Standard" id="lsisoft_lsisoftRevenueFromSaleOfMerchandises_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Przychody ze sprzedaży towarów i materiałów</label>
    <label xlink:label="label_lsisoft_ifrs-fullCostOfSales_Total" id="lsisoft_ifrs-fullCostOfSales_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Koszty sprzedanych produktów, towarów i materiałów</label>
    <label xlink:label="label_lsisoft_lsisoftCostsOfGoodsSoldAndServicesRendered_Standard" id="lsisoft_lsisoftCostsOfGoodsSoldAndServicesRendered_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Koszty wytworzenia sprzedanych produktów i usług</label>
    <label xlink:label="label_lsisoft_ifrs-fullGrossProfit_Total" id="lsisoft_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) brutto na sprzedaży</label>
    <label xlink:label="label_lsisoft_ifrs-fullCashFlowsFromUsedInOperations_Total" id="lsisoft_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Gotówka z działalności operacyjnej</label>
    <label xlink:label="label_lsisoft_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="lsisoft_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">A. Przepływy pieniężne netto z działalności operacyjnej</label>
    <label xlink:label="label_lsisoft_ifrs-fullInflowsOfCashFromInvestingActivities_Total" id="lsisoft_ifrs-fullInflowsOfCashFromInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Wpływy</label>
    <label xlink:label="label_lsisoft_ifrs-fullOutflowsOfCashFromInvestingActivities_Total" id="lsisoft_ifrs-fullOutflowsOfCashFromInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Wydatki</label>
    <label xlink:label="label_lsisoft_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="lsisoft_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">B. Przepływy pieniężne netto z działalności inwestycyjnej</label>
    <label xlink:label="label_lsisoft_lsisoftInflowsOfCashFromFinancingActivities_Standard" id="lsisoft_lsisoftInflowsOfCashFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Wpływy</label>
    <label xlink:label="label_lsisoft_lsisoftInflowsOfCashFromFinancingActivities_Total" id="lsisoft_lsisoftInflowsOfCashFromFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Wpływy</label>
    <label xlink:label="label_lsisoft_lsisoftOutflowsOfCashFromFinancingActivities_Standard" id="lsisoft_lsisoftOutflowsOfCashFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Wydatki</label>
    <label xlink:label="label_lsisoft_lsisoftOutflowsOfCashFromFinancingActivities_Total" id="lsisoft_lsisoftOutflowsOfCashFromFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Wydatki</label>
    <label xlink:label="label_lsisoft_lsisoftPaymentsToAcquireTresuryShares_Standard" id="lsisoft_lsisoftPaymentsToAcquireTresuryShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Nabycie udziałów (akcji) własnych</label>
    <label xlink:label="label_lsisoft_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="lsisoft_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">C. Przepływy pieniężne netto z działalności finansowej</label>
    <label xlink:label="label_lsisoft_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="lsisoft_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">D. Przepływy pieniężne netto razem (A+B+C)</label>
    <label xlink:label="label_lsisoft_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="lsisoft_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">E. Bilansowa zmiana stanu środków pieniężnych, w tym:</label>
    <label xlink:label="label_lsisoft_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" id="lsisoft_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="pl">F. Środki pieniężne na początek okresu</label>
    <label xlink:label="label_lsisoft_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" id="lsisoft_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="pl">G. Środki pieniężne na koniec okresu (F+D)</label>
  </labelLink>
</linkbase>